import java.util.*;
import java.text.*;

/*
 * Chiedere all'utente il numero n di studenti da esaminare.
 * Per ogni studente richiedere il voto conseguito nell'esame 
 * (controllare che sia compreso fra 0 e 30). 
 * Il programma deve stampare la percentuale di studenti promossi
 * (aventi voto >= 18), la percentuale di quelli respinti e, per i 
 * soli studenti promossi, il voto medio.
 */

public class PromossiRespinti {
	public static void main(String[] args){
		int n, voto, numPromossi=0, sommaVotiPromossi=0;
		Scanner tastiera = new Scanner(System.in);
		DecimalFormat df = new DecimalFormat("0.0");
		
		System.out.print("Programma per il calcolo delle percentuali ");
		System.out.println("di promossi e di respinti per un corso");
		System.out.print("Quanti studenti si vogliono valutare? ");
		n = tastiera.nextInt();
		System.out.println("Inserire voti compresi fra 0 e 30");
		for(int i=1; i<=n; i++){
			do{
				System.out.print("Inserire il voto per lo studente "+ i +":");
				voto = tastiera.nextInt();
				if(voto < 0 || voto > 30)
					System.out.println("Errore nell'inserimento del voto (0<=voto<=30)");
			}while(voto < 0 || voto > 30);
			if(voto>=18){
				numPromossi++;
				sommaVotiPromossi += voto;
			}
		}
		System.out.println("La percentuale di promossi e': "+df.format((double)numPromossi/n*100)+"%");
		System.out.println("La percentuale dei respinti e': "+df.format((double)(n-numPromossi)/n*100)+"%");
		System.out.println("Il voto medio dei promossi e': "+df.format((double)sommaVotiPromossi/numPromossi));
		tastiera.close();
	}

}
